package net.pingex.dcf.modularity;

/**
 * Every possible plugin states
 */
public enum PluginState
{
	/**
	 * The plugin is unloaded, ie. the loader did not run {@code load()}, or executed {@code unload()} on the associated instance.
	 */
	UNLOADED,

	/**
	 * The loader ran {@code load()}.
	 */
	LOADED,

	/**
	 * The loader ran {@code run()}.
	 */
	RUNNING,

	/**
	 * The plugin has been running once, but has now stopped.
	 */
	STOPPED,

	/**
	 * The plugin fucked up somewhere.
	 */
	FAILED
}
